﻿using FlexGrid_MVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using C1.Web.Mvc.Serializition;
using C1.Web.Mvc;

namespace FlexGrid_MVC.Controllers
{
    public class HomeController : Controller
    {
        //private static List<Sale> Source = Sale.GetData(20).ToList<Sale>();

        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public JsonResult GetData()
        {
            List<Sale> saleList = Sale.GetData(10).ToList<Sale>();
            return Json(saleList);
        }

		public ActionResult Save([C1JsonRequest]CollectionViewBatchEditRequest<Sale> requestData)
		{
			return this.C1Json(CollectionViewHelper.BatchEdit<Sale>(requestData, req =>
			{
				var itemresults = new List<CollectionViewItemResult<Sale>>();

				return new CollectionViewResponse<Sale>
				{
					Error = null,
					Success = true,
					OperatedItemResults = itemresults
				};

			}, () => Sale.GetData(10).ToList<Sale>()));
		}
	}
}